<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class InOut extends Model
{
    protected $table='in_out';
    public $timestamps=true;
    public $guarded =['id'];
    public function scopeCompany($query){
        return $query->where('client_id',Auth::user()->client_id);
    }
    public function user(){
        return $this->belongsTo(User::class);
    }
}
